/******************************************************************************

   FILE				: sci.h

   AUTHOR			: Axiom Manufacturing
						  Spencer Ruggles

	PURPOSE			: SCI Test Routine Library

 ******************************************************************************

  Purpose:

  header file for sci.c

******************************************************************************/

#define baud19	0x1A;					// 19200 baud rate 

#define LF 0x0A						// Line Feed ASCII code
#define CR 0x0D						// Carriage Return ASCII code

/********** Function Prototypes **********/
void ensci(void);						// enable selected COM port
void putch(byte);						// send a byte of data out selected COM port
void fputs(byte *);					// send string to selected COM port w/CR only
//void puts(byte *);					// send a string of data out selected COM port
void outhex(byte);					// output HEX value to selected COM port

byte char2hex(byte);					// convert input ASCII char to hex
byte hex2char(byte);					// convert hex input to ASCII char
byte putchar(byte);					// wait for ReadyToSend and send a byte of data to selected COM port
byte ReadyToSend(void);				// wait for Tx Data Reg Empty flag to set
byte SerialReady(void);				// checks for new input data on selected COM port
byte ReadSerialPort(void);			// reads data from selected serial port
byte GetSByte(void);					// waits for new data then reads data from selected COM port